Bug 64545 - MT exe. does not run on Linux RH
MT exe. does not run on Linux RH
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-05-07 15:07 EDT by Melissa Rickman
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-13 14:45:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Melissa Rickman 2002-05-07 15:07:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When I go to run my MT wx executable, X spits out "unexpected Xlib: async reply

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run exe on command line

Actual Results:  My gui never comes up and i get a unexpected xlib async reply 
on the command line

Expected Results:  My wx multi thread gui should run

Additional info:

My gui application runs perfectly on the Windows platform but seems to bother 
Linux's xlib(xserver).  My application is multithreaded and perhaps that is why 
I am getting this async reply error.  How can this be fixed.  I am using the 
version of Xserver that comes with Linux RH 7.2, i think that is xfree86 4.0.3.
Comment 1 Mike A. Harris 2002-05-10 11:03:48 EDT
Sorry, I don't know what "MT" is.  Can you attach your X server log,
 and X server config file.

XFree86 4.1.0 is what comes with RHL 7.2.
Comment 2 Need Real Name 2002-05-13 10:56:39 EDT
MT is multi-threaded.  I'll work on the error log attachment.  However, the 
error still stands that my executable will not run on Linux and the command 
line spits out xlib: unexpected async reply.
Comment 3 Mike A. Harris 2002-05-13 14:45:40 EDT
I still have no idea what that application is.  It is possible that X
is at fault, some library, or even your application may be at fault.

Without further debugging information it is not possible to even guess
what the problem might be.  I also suggest you write to the xpert@xfree86.org
mailing list to seek suggestions.

Without a way of reproducing the problem easily, there's not much that
can be done.
Comment 4 Mike A. Harris 2002-05-20 22:12:59 EDT
Closing as NOTABUG due to insufficient information.

Note You need to log in before you can comment on or make changes to this bug.